﻿DROP TABLE TZANR;
DROP TABLE TFORMAT_FILMU;
DROP TABLE TTITUL;
DROP TABLE TTITULZANR;
DROP TABLE TFILMOTEKA;

/* ŽÁNR */
CREATE TABLE TZANR (
	ZANR_ID NUMBER NOT NULL ,
	ZANR VARCHAR2 (30),
PRIMARY KEY (ZANR_ID) 
) 
/
INSERT INTO "TZANR" (ZANR_ID,ZANR) VALUES (1,'Animovaný');
INSERT INTO "TZANR" (ZANR_ID,ZANR) VALUES (2,'Hudební');
INSERT INTO "TZANR" (ZANR_ID,ZANR) VALUES (3,'Komedie');
INSERT INTO "TZANR" (ZANR_ID,ZANR) VALUES (4,'Akční');
INSERT INTO "TZANR" (ZANR_ID,ZANR) VALUES (5,'Fantasy');
INSERT INTO "TZANR" (ZANR_ID,ZANR) VALUES (6,'Sci-Fi');
INSERT INTO "TZANR" (ZANR_ID,ZANR) VALUES (7,'Pohádka');
INSERT INTO "TZANR" (ZANR_ID,ZANR) VALUES (8,'Dokumentární');

/* FORMAT_FILMU */
CREATE TABLE TFORMAT_FILMU (
	FORMATFILMU_ID NUMBER NOT NULL ,
	FORMAT VARCHAR2 (30) NOT NULL ,
PRIMARY KEY (FORMATFILMU_ID) 
) 
/
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (1,'HDF');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (2,'HDR');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (3,'DVD');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (4,'DVDRip');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (5,'DTVRip');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (6,'TVRip');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (7,'Screener');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (8,'TC');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (9,'TS');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (10,'CAM');
INSERT INTO "TFORMAT_FILMU" (FORMATFILMU_ID,FORMAT) VALUES (11,'OTHER');


/* TITUL */
CREATE TABLE TTITUL (
	FILM_ID NUMBER NOT NULL ,
	CZ VARCHAR2 (50),
	EN VARCHAR2 (50),
	ORIGINAL VARCHAR2 (50) NOT NULL ,
	CSFD VARCHAR2 (500),
	IMDB VARCHAR2 (500),
	ROK_VYDANI NUMBER(4,0) NOT NULL ,
	DELKA NUMBER(3,0) NOT NULL ,
	POPIS VARCHAR2 (4000),
PRIMARY KEY (FILM_ID) 
) 
/
INSERT INTO "TTITUL" (FILM_ID,CZ, EN, ORIGINAL, CSFD, IMDB, ROK_VYDANI, DELKA, POPIS) VALUES (1,'Amélie z Montmartru', 'Amelie from Montmartre', 'Le Fabuleux destin d''Amélie Poulain', 'http://www.csfd.cz/film/29221-amelie-z-montmartru-fabuleux-destin-damelie-poulain-le/', 'http://www.imdb.com/title/tt0211915/', '2001', '117', 'Amélie žije v pařížské čtvrti Montmartre, která je světem sama pro sebe. Je číšnicí v místním bistru, nakupuje u místního zelináře, zdraví sousedy jako na malém městě. V jejím životě se nikdy neudálo nic zvláštního, až na matčinu kuriózní smrt, nad níž Améliin tatínek stále truchlí. Amélie by asi zůstala smířená se svým osamělým údělem, kdyby jednoho dne neobjevila ve svém bytě ukrytý poklad v podobě staré krabice s památkami na dětství někdejšího nájemníka. Nejenže se Amélie rozhodne po letech doručit krabici jejímu majiteli, ale dospěje současně k poznání, že může pomáhat zlepšit a napravovat okolní svět. Když pak jednoho dne objeví člověka sbírajícího u nádražních fotoautomatů zahozené podobenky cizích lidí, Amélie se zamiluje. Trvá to ale ještě nějaký čas, než se seznámí s Ninem a než mu dovolí rozšifrovat její tajemné zprávy.');
INSERT INTO "TTITUL" (FILM_ID,CZ, EN, ORIGINAL, CSFD, IMDB, ROK_VYDANI, DELKA, POPIS) VALUES (2,'Cesta do fantazie', 'Spirited away', 'Sen to Chihiro no kamikakushi', 'http://www.csfd.cz/film/42136-spirited-away-sen-to-chihiro-no-kamikakushi/', 'http://www.imdb.com/title/tt0245429', '2001', '125', 'Desetiletá Chihiro je obyčejná japonská holčička. Když se se svými rodiči vydává poprvé do nového bydliště, jejich auto zabloudí na opuštěnou lesní cestu, vedoucí k záhadnému tunelu. Chihiro i její rodiče se vydají dovnitř a objeví cosi, co považují za opuštěný lunapark. Rodiče podlehnou lákavé nabídce občerstvení v opuštěných stáncích, ale záhy se promění ve vepře. Chihiro se snaží najít pomoc a narazí na tajuplného chlapce jménem Haku. Ten ji seznámí s duchy, kteří v noci lunapark obývají a najde jí zaměstnání u Yubaby, staré čarodějnice s malým tělem a velkou hlavou, která provozuje obrovské lázně, kam si chodí odpočinout milióny pozemských bohů a jiných fantastických bytostí. Zde se skrývá jediná možnost, jak může Chihiro zrušit zakletí svých rodičů a vrátit se do lidského světa.');
INSERT INTO "TTITUL" (FILM_ID, CZ, EN, ORIGINAL, CSFD, IMDB, ROK_VYDANI, DELKA, POPIS) VALUES (3,'Cesta z města', '', 'Cesta z města', 'http://www.csfd.cz/film/9399-cesta-z-mesta/', 'http://www.imdb.com/title/tt0256676/', '2000', '104', 'Programátor Honza (Tomáš Hanák) tráví většinu svého času v softwarovém domě: mailuje, upgraduje, senduje, attachuje a loaduje. Když bere na výlet do přírody svého předpubertálního syna (Michal Vorel) z rozvedeného manželství, nezapomene samozřejmě přibalit mobil, notebook a digitální kameru. Hektický víkendový výlet se záhy protáhne na několikatýdenní pobyt v malé podhorské vesničce, kde Honza se synem stráví nejhezčí a nejveselejší chvíle svého života. Postupně se spřátelí s místními figurkami a zejména s půvabnou rebelující Markétou. Honza propadá nejen jejímu kouzlu, ale i vábivé vůni domácích likérů její zemité babičky, drsnému přátelství venkovské rodiny Ludvy a Vlastičky a koloritu svérázného venkovského života. S příchodem zimy je Honza zákony byznysu přinucen vrátit se zpět do civilizace. Očištěn a obohacen o zážitky, které mu město nemůže nikdy poskytnout...');
-- pozor je tam "'" INSERT INTO "TTITUL" (CZ, EN, ORIGINAL, CSFD, IMDB, ROK_VYDANI, DELKA, POPIS) VALUES ('13. podlaží', 'The thirteen\'s floor', '', '', '', '', '', '');
INSERT INTO "TTITUL" (FILM_ID,CZ, EN, ORIGINAL, CSFD, IMDB, ROK_VYDANI, DELKA, POPIS) VALUES (4,'Resident Evil', 'Resident Evil', 'Resident Evil', 'http://www.csfd.cz/film/151-resident-evil/', 'http://www.imdb.com/title/tt0120804/', '2002', '97', 'Tajemná společnost Umbrella Corporation, zabývající se genetickým výzkumem, provádí ve svých rozsáhlých podzemních laboratořích velice nebezpečné pokusy. V jednu chvíli uniká smrtící virus a centrální počítač laboratoře - Red Queen - uzavírá neprodyšně celou zasaženou oblast podzemního labyrintu a nechává zaměstnance, zasažené virem, uvnitř celého pekla. Elitní komando v čele s Alicí (Milla Jovovich) a Rain (Michelle Rodriguez) dostává úkol, který je otázkou života a smrti - izolovat virus, který ohrožuje celé lidstvo zjistit příčinu. Brzo zjišťují, že všechno je ještě horší než čekali - virem zasažení zaměstnanci nejsou ani živí ani mrtví - nyní jsou z nich mimořádně agresivní zombie - Nemrtvé bestie, které se skrývají v místě katastrofy. Jediné jejich škrábnutí nebo kousnutí infikuje zasaženého, který se okamžitě začne měnit v jejich druh. Alice a její vojenský tým má tři hodiny na to dokončit misi, než Nemrtví proniknou na povrch Země. Čeká je souboj s krvežíznivými bestiemi bez jakýkoli zábran a další děsivé překvapení v nitru laboratoře - zmutovaní psi a jiné výsledky experimentů. A ještě se proti nim postaví centrální počítač - Red Queen a ten, kdo to celé spustil. Dokáže tým překonat počítač, najít antivirus a ubránit se Nemrtvým? Kdo tohle peklo oživlého zla dokáže přežít? A kdo a kde je ten, jehož pomsta ohrožuje celé lidstvo? Filmové zpracování populární hry plné akce, napětí a atraktivní hudby, přenáší zběsilé tempo celého dobrodružství na plátno a zachovává jedinečnost kultu jménem "Resident Evil.');

CREATE TABLE TTITULZANR (
	FILM_ID NUMBER NOT NULL ,
	ZANR_ID NUMBER NOT NULL ,
PRIMARY KEY (FILM_ID,ZANR_ID) 
) 
/
INSERT INTO "TTITULZANR" (FILM_ID, ZANR_ID) VALUES ('1', '3');
INSERT INTO "TTITULZANR" (FILM_ID, ZANR_ID) VALUES ('2', '3');
INSERT INTO "TTITULZANR" (FILM_ID, ZANR_ID) VALUES ('2', '1');
INSERT INTO "TTITULZANR" (FILM_ID, ZANR_ID) VALUES ('2', '5');
INSERT INTO "TTITULZANR" (FILM_ID, ZANR_ID) VALUES ('3', '3');
INSERT INTO "TTITULZANR" (FILM_ID, ZANR_ID) VALUES ('4', '6');
INSERT INTO "TTITULZANR" (FILM_ID, ZANR_ID) VALUES ('4', '4');

CREATE TABLE TFILMOTEKA (
	KATALOGOVE_CISLO NUMBER NOT NULL ,
	FILM_ID NUMBER NOT NULL ,
	FORMATFILMU_ID NUMBER NOT NULL ,
	HODNOCENI NUMBER,
	DATUM_PRIDANI DATE NOT NULL ,
	VELIKOST NUMBER,
	UMISTENI VARCHAR2 (255),
PRIMARY KEY (KATALOGOVE_CISLO)

) 
/

INSERT INTO "TFILMOTEKA" (KATALOGOVE_CISLO, FILM_ID, FORMATFILMU_ID, HODNOCENI, DATUM_PRIDANI, VELIKOST, UMISTENI) VALUES (1,'1', '3', '5', TO_DATE('11.12.09', 'DD.MM.RR'), '728837261', 'F43');
INSERT INTO "TFILMOTEKA" (KATALOGOVE_CISLO, FILM_ID, FORMATFILMU_ID, HODNOCENI, DATUM_PRIDANI, VELIKOST, UMISTENI) VALUES (2,'1', '1', '5', TO_DATE('11.12.09', 'DD.MM.RR'), '4503839273', 'F44');
INSERT INTO "TFILMOTEKA" (KATALOGOVE_CISLO, FILM_ID, FORMATFILMU_ID, HODNOCENI, DATUM_PRIDANI, VELIKOST, UMISTENI) VALUES (3,'2', '5', '5', TO_DATE('11.12.09', 'DD.MM.RR'), '728372802', 'F55');
INSERT INTO "TFILMOTEKA" (KATALOGOVE_CISLO, FILM_ID, FORMATFILMU_ID, HODNOCENI, DATUM_PRIDANI, VELIKOST, UMISTENI) VALUES (4,'3', '7', '4', TO_DATE('11.12.09', 'DD.MM.RR'), '453245765', 'F21');
INSERT INTO "TFILMOTEKA" (KATALOGOVE_CISLO, FILM_ID, FORMATFILMU_ID, HODNOCENI, DATUM_PRIDANI, VELIKOST, UMISTENI) VALUES (5,'4', '11', '3', TO_DATE('11.12.09', 'DD.MM.RR'), '443576749', 'F11');
INSERT INTO "TFILMOTEKA" (KATALOGOVE_CISLO, FILM_ID, FORMATFILMU_ID, HODNOCENI, DATUM_PRIDANI, VELIKOST, UMISTENI) VALUES (6,'4', '3', '4', TO_DATE('04.12.09', 'DD.MM.RR'), '4876354829', 'F33');

ALTER TABLE TTITULZANR ADD  FOREIGN KEY (FILM_ID) REFERENCES TTITUL (FILM_ID) 
/
ALTER TABLE TTITULZANR ADD  FOREIGN KEY (ZANR_ID) REFERENCES  TZANR (ZANR_ID) 
/
ALTER TABLE TFILMOTEKA ADD FOREIGN KEY (FILM_ID) REFERENCES TTITUL (FILM_ID)
/
ALTER TABLE TFILMOTEKA ADD FOREIGN KEY (FORMATFILMU_ID) REFERENCES TFORMAT_FILMU (FORMATFILMU_ID)
/